

public interface Numbers {
	
	// Returns true if the integer passed in is a prime number.
	public Boolean isPrime(Integer n);
	
	// Returns the factorial value of the number passed in. 
	// For example, 5! = 1 x 2 x 3 x 4 x 5 = 120.
	public Integer factorial(Integer n) throws IllegalArgumentException;
	
	// This method would return an integer, 
	// but actually it performs an infinite loop due to an internal bug.
	public Integer doForever();
	
}
